package com.dgtly.wxportal.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import javax.validation.constraints.Size;

/**
 * 企业微信门户首页banner图对象 wx_banner
 * 
 * @author qxp
 * @date 2020-06-23
 */
public class WxBanner extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long bannerId;

    /** banner图地址 */
    private String imgUrl;

    /** 标题 */
    private String title;

    /** 内容地址 */
    private String contextUrl;

    /** 内容摘要 */
    private String des;

    public void setBannerId(Long bannerId) 
    {
        this.bannerId = bannerId;
    }

    public Long getBannerId() 
    {
        return bannerId;
    }
    public void setImgUrl(String imgUrl) 
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() 
    {
        return imgUrl;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContextUrl(String contextUrl) 
    {
        this.contextUrl = contextUrl;
    }

    public String getContextUrl() 
    {
        return contextUrl;
    }
    public void setDes(String des) 
    {
        this.des = des;
    }
    @Size(min = 0, max = 255, message = "摘要不能超过255个字符")
    public String getDes() 
    {
        return des;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("bannerId", getBannerId())
            .append("imgUrl", getImgUrl())
            .append("title", getTitle())
            .append("contextUrl", getContextUrl())
            .append("des", getDes())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
